Bug 1711800 - Missing 'id' attributes in storage section.
Summary: Missing 'id' attributes in storage section.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: 4.3.3.7
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ovirt-4.3.4
: ---
Assignee: Asaf Rachmani
QA Contact: Petr Matyáš
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-20 07:10 UTC by Asaf Rachmani
Modified: 2019-06-11 06:25 UTC (History)
2 users (show)

Fixed In Version: ovirt-engine-4.3.4.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-11 06:25:41 UTC
oVirt Team: Integration
Embargoed:
pm-rhel: ovirt-4.3+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 100052 0 ovirt-engine-4.3 MERGED webadmin: Add 'id' attribute to few elements in the ui 2019-05-21 06:54:00 UTC

Description Asaf Rachmani 2019-05-20 07:10:27 UTC
Description of problem:
Missing 'id' attributes under storage section in ovirt-engine UI.
Path: Storage -> Disks -> Upload -> Start

Adding those attributes will help to test the UI with the OST.

Comment 1 Lucie Leistnerova 2019-05-28 09:36:25 UTC
Verify that all buttons (html elements) in path Storage -> Disks -> Upload -> Start (Should not be with 'id') -> Choose files
have their unique id.

Comment 2 Petr Matyáš 2019-05-31 10:48:24 UTC
Tested on ovirt-engine-4.3.4.2-0.1.el7.noarch

Buttons under Upload (Start, Cancel, Pause, Resume) are still missing IDs and IMO they should have IDs.
Also Test Connection button is missing an ID.

Comment 3 RHEL Program Management 2019-05-31 10:48:25 UTC
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

Comment 4 Asaf Rachmani 2019-06-02 20:54:52 UTC
As described in comment 1, please verify that all html elements/buttons in the following path have unique id:
Storage (has id) -> Disks (has id) -> Upload (has id) -> Start (Should not be with 'id') -> Choose file (has id)

Please open an RFE if you feel that other elements should have ids as well.

Comment 5 Sandro Bonazzola 2019-06-11 06:25:41 UTC
This bugzilla is included in oVirt 4.3.4 release, published on June 11th 2019.

Since the problem described in this bug report should be
resolved in oVirt 4.3.4 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.